/*
*  Open Fodder
*  ---------------
*
*  Copyright (C) 2008-2018 Open Fodder
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 3 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License along
*  with this program; if not, write to the Free Software Foundation, Inc.,
*  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*
*/

#include "stdafx.hpp"

/** Retail Mission Phases **/
const std::vector< size_t > mRetail_MissionPhaseTable = {
	1, 2, 1, 4, 3, 2, 3, 4,
	2, 5, 3, 6, 1, 3, 3, 2,
	1, 5, 1, 4, 1, 4, 5, 6
};

/** Dos Mission Names **/
const std::vector<std::string> mRetailDos_MissionNames = {
	"THE SENSIBLE INITIATION",
	"ONWARD VIRGIN SOLDIERS",
	"ANTARCTIC ADVENTURE",
	"SUPER SMASHING NAMTASTIC",
	"THOSE VICIOUS VIKINGS",
	"WESTWARD HO",
	"GREENLAND REDBLOOD",
	"GUERRILLA WARFARE",
	"GREAT SCOTT GOOD SHOT",
	"ONE GIGANTIC DUST BOWL",
	"JUNGLE, MORE JUNGLE",
	"CHILLER THRILLER KILLER",
	"MORE MOORS",
	"BOMB ALLEY",
	"GET ORF MOI LAAND",
	"GOING UNDERGROUND",
	"THE MOOR THE MERRIER",
	"UNDERPANTS ELECTRIC",
	"DIABLO DOWNSTAIRS",
	"MOORS THE PITY",
	"EXPLORE MY HOLE",
	"DESERT DISASTER",
	"MOORS ET MORTEM",
	"BOMB THE BASE"
};

/** Amiga Mission Names **/
const std::vector<std::string> mRetail_MissionNames = {
	"THE SENSIBLE INITIATION",
	"ONWARD VIRGIN SOLDIERS",
	"ANTARCTIC ADVENTURE",
	"SUPER SMASHING NAMTASTIC",
	"THOSE VICIOUS VIKINGS",
	"WESTWARD HO",
	"GREENLAND REDBLOOD",
	"GUERRILLA WARFARE",
	"GREAT SCOTT GOOD SHOT",
	"ONE GIGANTIC DUST BOWL",
	"JUNGLE BLOODY JUNGLE",
	"CHILLER THRILLER KILLER",
	"MOORS MURDERERS",
	"BOMB ALLEY",
	"GET ORF MOI LAAND",
	"GOING UNDERGROUND",
	"THE MOOR THE MERRIER",
	"UNDERPANTS ELECTRIC",
	"DIABLO DOWNSTAIRS",
	"MOORS THE PITY",
	"EXPLORE MY HOLE",
	"DESERT DISASTER",
	"MOORS ET MORTEM",
	"BOMB THE BASE"
};

/** Dos Map Names **/
const std::vector<std::string> mRetailDos_MissionPhaseNames = {
/* mapm1  */	"IT'S A JUNGLE OUT THERE",
/* mapm2  */	"BRIDGE OVER THE RIVER PIE",
/* mapm3  */	"TRASH ENEMY HQ",
/* mapm4  */	"BLAST, IT'S COLD",
/* mapm5  */	"BEACHY HEAD",
/* mapm6  */	"PIER PRESSURE",
/* mapm7  */	"VILLAGE PEOPLE",
/* mapm8  */	"QUICKSAND",
/* mapm9  */	"THE VALLEY OF ICE",
/* mapm10 */	"BARMY BAZOOKAS",
/* mapm11 */	"MY BEAUTIFUL SKIDU",
/* mapm12 */	"THE GRAND CANYON",
/* mapm13 */	"TRIGGER HAPPY",
/* mapm14 */	"THE SLIPPERY STAIRWAY",
/* mapm15 */	"RETURN TO REYKJAVIK",
/* mapm16 */	"EVIL KNIEVEL",
/* mapm17 */	"HAVE A NICE TRIP",
/* mapm18 */	"BANG BANG YOU'RE DEAD",
/* mapm19 */	"DELIVERANCE",
/* mapm20 */	"JEEP JUMP",
/* mapm21 */	"ROUND THE GARDEN",
/* mapm22 */	"IN AT THE DEEP END",
/* mapm23 */	"THE SQUARE DANCE",
/* mapm24 */	"PENNY FOR THE GUY",
/* mapm25 */	"TANKY IN THE MIDDLE",
/* mapm26 */	"IF IT MOVES KILL IT",
/* mapm27 */	"A GOOD HARD TANK",
/* mapm28 */	"LORD OF THE FLIES",
/* mapm29 */	"WHOPPER CHOPPER",
/* mapm30 */	"DONKEYTASTIC",
/* mapm31 */	"AN ICICLE MADE FOR TWO",
/* mapm32 */	"TANK YOU VERY MUCH",
/* mapm33 */	"DEATH AND GLORY",
/* mapm34 */	"NORTH FACE OF THE EIGER",
/* mapm35 */	"RESCUE EL PRESIDENTE",
/* mapm36 */	"CHILL OUT ICEMAN",
/* mapm37 */	"MUCH MUCH MOOR",
/* mapm38 */	"IT'S ALL MINE",
/* mapm39 */	"SANDY CRACK",
/* mapm40 */	"AIRLIFT",
/* mapm41 */	"SHEEP DIP",
/* mapm42 */	"CHOCS AWAY CHAPPIES",
/* mapm43 */	"A BRIDGE TOO FAR",
/* mapm44 */	"ETON RIFLES",
/* mapm45 */	"SEWERS CANAL",
/* mapm46 */	"NO WAY IN",
/* mapm47 */	"TAKE YOUR PARTNERS",
/* mapm48 */	"THE SCROUNGERS",
/* mapm49 */	"PLENTY OF ROOM",
/* mapm50 */	"FRANZ KLAMMER",
/* mapm51 */	"THE DOORS",
/* mapm52 */	"LOOK OUT",
/* mapm53 */	"TANK TOP",
/* mapm54 */	"TANKTASTIC",
/* mapm55 */	"THE GREAT ESCAPE",
/* mapm56 */	"WHOOPEEE",
/* mapm57 */	"TOO MUCH MAN",
/* mapm58 */	"ROCKET MAN",
/* mapm59 */	"RUNNING OUT OF IDEAS",
/* mapm60 */	"AND THEY'RE OFF",
/* mapm61 */	"GO FOR IT",
/* mapm62 */	"SHEEP SHEARER'S DELIGHT",
/* mapm63 */	"IRELAND RECORDS",
/* mapm64 */	"GAWD HELP ME",
/* mapm65 */	"CHOPPER CRAZY",
/* mapm66 */	"STOP THE PIGEON",
/* mapm67 */	"SAVE THAT SCUMBAG",
/* mapm68 */	"ONE MAN THREE CHOPPERS",
/* mapm69 */	"A WATERY GRAVE",
/* mapm70 */	"SYSTEM OFF",
/* mapm71 */	"STICK EM UP COD BREATH",
/* mapm72 */	"DONKEYDEATHTASTICELASTIC"
};

/** Amiga Map Names **/
const std::vector<std::string> mRetail_MissionPhaseNames = {
/* mapm1  */	"IT'S A JUNGLE OUT THERE",
/* mapm2  */	"BRIDGE OVER THE RIVER PIE",
/* mapm3  */	"TRASH ENEMY HQ",
/* mapm4  */	"BUGGER ME IT'S COLD",
/* mapm5  */	"BEACHY HEAD",
/* mapm6  */	"PIER PRESSURE",
/* mapm7  */	"VILLAGE PEOPLE",
/* mapm8  */	"QUICKSAND",
/* mapm9  */	"THE VALLEY OF ICE",
/* mapm10 */	"A NICE SET OF BAZOOKAS",		
/* mapm11 */	"MY BEAUTIFUL SKIDU",
/* mapm12 */	"THE GRAND CANYON",
/* mapm13 */	"TRIGGER HAPPY",
/* mapm14 */	"THE SLIPPERY STAIRWAY",
/* mapm15 */	"RETURN TO REYKJAVIK",
/* mapm16 */	"EVIL KNIEVEL",
/* mapm17 */	"HAVE A NICE TRIP",
/* mapm18 */	"BANG BANG YOU'RE DEAD",
/* mapm19 */	"DELIVERANCE",
/* mapm20 */	"JEEP JUMP",
/* mapm21 */	"ROUND THE GARDEN",
/* mapm22 */	"IN AT THE DEEP END",
/* mapm23 */	"THE SQUARE DANCE",
/* mapm24 */	"PENNY FOR THE GUY",
/* mapm25 */	"TANKY IN THE MIDDLE",
/* mapm26 */	"IF IT MOVES KILL IT",
/* mapm27 */	"A GOOD HARD TANK",
/* mapm28 */	"LORD OF THE FLIES",
/* mapm29 */	"WHAT A BIG CHOPPER",	
/* mapm30 */	"DONKEYTASTIC",
/* mapm31 */	"AN ICICLE MADE FOR TWO",
/* mapm32 */	"TANK YOU VERY MUCH",
/* mapm33 */	"DEATH AND GLORY",
/* mapm34 */	"NORTH FACE OF THE EIGER",
/* mapm35 */	"RESCUE EL PRESIDENTE",
/* mapm36 */	"CHILL OUT ICEMAN",
/* mapm37 */	"MUCH MUCH MOOR",
/* mapm38 */	"IT'S ALL MINE",
/* mapm39 */	"SANDY CRACK",
/* mapm40 */	"AIRLIFT",
/* mapm41 */	"SHEEP DIP",
/* mapm42 */	"CHOCS AWAY CHAPPIES",
/* mapm43 */	"A BRIDGE TOO FAR",
/* mapm44 */	"ETON RIFLES",
/* mapm45 */	"SEWERS CANAL",
/* mapm46 */	"NO WAY IN",
/* mapm47 */	"TAKE YOUR PARTNERS",
/* mapm48 */	"THE SCROUNGERS",
/* mapm49 */	"PLENTY OF ROOM",
/* mapm50 */	"FRANZ KLAMMER",
/* mapm51 */	"THE DOORS",
/* mapm52 */	"LOOK OUT",
/* mapm53 */	"TANK TOP",
/* mapm54 */	"TANKTASTIC",
/* mapm55 */	"THE GREAT ESCAPE",
/* mapm56 */	"WHOOPEEE",
/* mapm57 */	"TOO MUCH MAN",
/* mapm58 */	"ROCKET MAN",
/* mapm59 */	"RUNNING OUT OF IDEAS",
/* mapm60 */	"AND THEY'RE OFF",
/* mapm61 */	"GO FOR IT",
/* mapm62 */	"SHEEP SHAGGERS DELIGHT",
/* mapm63 */	"IRELAND RECORDS",
/* mapm64 */	"GAWD HELP ME",
/* mapm65 */	"CHOPPER CRAZY",
/* mapm66 */	"STOP THE PIGEON",
/* mapm67 */	"SAVE THAT SCUMBAG",
/* mapm68 */	"ONE MAN THREE CHOPPERS",
/* mapm69 */	"A WATERY GRAVE",
/* mapm70 */	"SYSTEM OFF",
/* mapm71 */	"STICK EM UP COD BREATH",
/* mapm72 */	"DONKEYDEATHTASTICELASTIC"
};

/** Map Goals **/
const std::vector< std::vector<eMissionGoals> > mRetail_Map_Goals = {
/* mapm1  */    { eGoal_Kill_All_Enemy                                                                                          },
/* mapm2  */    { eGoal_Kill_All_Enemy                                                                                          },
/* mapm3  */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm4  */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm5  */    { eGoal_Destroy_Enemy_Buildings                                                                                 },
/* mapm6  */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm7  */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm8  */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm9  */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm10 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm11 */    { eGoal_Destroy_Enemy_Buildings                                                                                 },
/* mapm12 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm13 */    { eGoal_Destroy_Enemy_Buildings                                                                                 },
/* mapm14 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm15 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm16 */    { eGoal_Destroy_Enemy_Buildings,        eGoal_Protect_Civilians                                                 },
/* mapm17 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm18 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm19 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm20 */    { eGoal_Destroy_Enemy_Buildings                                                                                 },
/* mapm21 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm22 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm23 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm24 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm25 */    { eGoal_Destroy_Enemy_Buildings,        eGoal_Protect_Civilians                                                 },
/* mapm26 */    { eGoal_Destroy_Enemy_Buildings                                                                                 },
/* mapm27 */    { eGoal_Destroy_Enemy_Buildings                                                                                 },
/* mapm28 */    { eGoal_Destroy_Enemy_Buildings                                                                                 },
/* mapm29 */    { eGoal_Get_Civilian_Home                                                                                       },
/* mapm30 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm31 */    { eGoal_Destroy_Enemy_Buildings                                                                                 },
/* mapm32 */    { eGoal_Kill_All_Enemy                                                                                          },
/* mapm33 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm34 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm35 */    { eGoal_Rescue_Hostages                                                                                         },
/* mapm36 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings,          eGoal_Destroy_Factory           },
/* mapm37 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm38 */    { eGoal_Destroy_Enemy_Buildings                                                                                 },
/* mapm39 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm40 */    { eGoal_Rescue_Hostages                                                                                         },
/* mapm41 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings,          eGoal_Protect_Civilians         },
/* mapm42 */    { eGoal_Destroy_Enemy_Buildings                                                                                 },
/* mapm43 */    { eGoal_Protect_Civilians,              eGoal_Kill_All_Enemy,                   eGoal_Destroy_Enemy_Buildings   },
/* mapm44 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm45 */    { eGoal_Destroy_Enemy_Buildings                                                                                 },
/* mapm46 */    { eGoal_Kill_All_Enemy,                 eGoal_Rescue_Hostages,                  eGoal_Destroy_Enemy_Buildings   },
/* mapm47 */    { eGoal_Rescue_Hostages                                                                                         },
/* mapm48 */    { eGoal_Protect_Civilians,              eGoal_Destroy_Enemy_Buildings                                           },
/* mapm49 */    { eGoal_Rescue_Hostages                                                                                         },
/* mapm50 */    { eGoal_Rescue_Hostages                                                                                         },
/* mapm51 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm52 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm53 */    { eGoal_Destroy_Enemy_Buildings                                                                                 },
/* mapm54 */    { eGoal_Destroy_Enemy_Buildings                                                                                 },
/* mapm55 */    { eGoal_Destroy_Enemy_Buildings,        eGoal_Get_Civilian_Home                                                 },
/* mapm56 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm57 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm58 */    { eGoal_Kill_All_Enemy,                 eGoal_Rescue_Hostages,                  eGoal_Destroy_Enemy_Buildings   },
/* mapm59 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm60 */    { eGoal_Kill_All_Enemy,                 eGoal_Protect_Civilians                                                 },
/* mapm61 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm62 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm63 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm64 */    { eGoal_Kill_All_Enemy                                                                                          },
/* mapm65 */    { eGoal_Destroy_Enemy_Buildings                                                                                 },
/* mapm66 */    { eGoal_Kill_All_Enemy                                                                                          },
/* mapm67 */    { eGoal_Kill_All_Enemy                                                                                          },
/* mapm68 */    { eGoal_Destroy_Enemy_Buildings                                                                                 },
/* mapm69 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Enemy_Buildings                                           },
/* mapm70 */    { eGoal_Kill_All_Enemy,                 eGoal_Destroy_Computer,                 eGoal_Destroy_Enemy_Buildings   },
/* mapm71 */    { eGoal_Kidnap_Leader                                                                                           },
/* mapm72 */    { eGoal_Destroy_Enemy_Buildings                                                                                 }
};


// Min/Max Pairs
const std::vector<sAggression> mRetail_Map_Sprite_Enemy_Aggression = {
/* mapm1  */    { 0,   0 },     
/* mapm2  */    { 1,   2 },     
/* mapm3  */    { 0,   2 },     
/* mapm4  */    { 1,   3 },     
/* mapm5  */    { 2,   4 },     
/* mapm6  */    { 2,   4 },     
/* mapm7  */    { 2,   4 },     
/* mapm8  */    { 4,   8 },     
/* mapm9  */    { 2,   6 },     
/* mapm10 */    { 4,   9 },     
/* mapm11 */    { 6,   9 },     
/* mapm12 */    { 7,  10 },     
/* mapm13 */    { 8,  13 },     
/* mapm14 */    { 6,   9 },     
/* mapm15 */    { 6,   9 },     
/* mapm16 */    { 6,   9 },     
/* mapm17 */    { 3,   7 },     
/* mapm18 */    { 1,   3 },     
/* mapm19 */    { 7,  12 },     
/* mapm20 */    { 1,   4 },     
/* mapm21 */    { 2,   4 },     
/* mapm22 */    { 0,   0 },     
/* mapm23 */    { 6,  12 },     
/* mapm24 */    { 3,   6 },     
/* mapm25 */    { 4,   8 },     
/* mapm26 */    { 5,   7 },     
/* mapm27 */    { 5,  10 },     
/* mapm28 */    { 7,  13 },     
/* mapm29 */    { 1,   4 },     
/* mapm30 */    { 11, 16 },     
/* mapm31 */    { 4,  10 },     
/* mapm32 */    { 5,   7 },     
/* mapm33 */    { 8,  12 },     
/* mapm34 */    { 2,   4 },     
/* mapm35 */    { 6,  10 },     
/* mapm36 */    { 0,   0 },     
/* mapm37 */    { 0,   0 },     
/* mapm38 */    { 6,  10 },     
/* mapm39 */    { 6,  10 },     
/* mapm40 */    { 6,  10 },     
/* mapm41 */    { 6,  10 },     
/* mapm42 */    { 6,  10 },     
/* mapm43 */    { 6,  10 },     
/* mapm44 */    { 6,  10 },     
/* mapm45 */    { 6,  10 },     
/* mapm46 */    { 7,  12 },     
/* mapm47 */    { 6,  10 },     
/* mapm48 */    { 6,  10 },     
/* mapm49 */    { 6,  10 },     
/* mapm50 */    { 6,  10 },     
/* mapm51 */    { 2,   4 },     
/* mapm52 */    { 2,   9 },     
/* mapm53 */    { 3,   7 },     
/* mapm54 */    { 6,  10 },     
/* mapm55 */    { 6,  10 },     
/* mapm56 */    { 6,  10 },     
/* mapm57 */    { 3,   9 },     
/* mapm58 */    { 6,  10 },     
/* mapm59 */    { 6,  10 },     
/* mapm60 */    { 3,   7 },     
/* mapm61 */    { 3,   7 },     
/* mapm62 */    { 15, 20 },     
/* mapm63 */    { 3,   6 },     
/* mapm64 */    { 6,  10 },     
/* mapm65 */    { 6,  10 },     
/* mapm66 */    { 6,  10 },     
/* mapm67 */    { 6,  10 },     
/* mapm68 */    { 10, 20 },     
/* mapm69 */    { 6,  10 },     
/* mapm70 */    { 6,  10 },     
/* mapm71 */    { 6,  10 },     
/* mapm72 */    { 6,  10 }      
};

// Retail
const cCampaign mMissionData_Retail = {
	mRetail_MissionNames,
	mRetail_MissionPhaseNames,
	mRetail_MissionPhaseTable,
	mRetail_Map_Goals,
	mRetail_Map_Sprite_Enemy_Aggression,
	"Cannon Fodder"
};
