/*
*  Open Fodder
*  ---------------
*
*  Copyright (C) 2008-2018 Open Fodder
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 3 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License along
*  with this program; if not, write to the Free Software Foundation, Inc.,
*  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*
*/

#include "stdafx.hpp"

/** Retail 2 Mission Phases **/
const std::vector< size_t > mRetail2_MissionPhaseTable = {
	1, 3, 4, 3, 2, 3, 4, 2,
	5, 2, 1, 6, 2, 4, 2, 3,
	1, 2, 4, 1, 4, 5, 2, 6
};

/** Dos Retail 2 Mission Names **/
const std::vector<std::string>  mRetail2_MissionNames = {
	"THIS IS HOW IT BEGINS",
	"MY LOVE HAS GOT A GUN",
	"I WANT TO KILL SOMEBODY",
	"I BELIEVE IN SPACE",
	"LADY LOVE YOUR COUNTRY",
	"THE SWORDS OF 1000 MEN",
	"TICKY TICKY TIMEBOMB",
	"1  2  X  U",
	"ALL THIS AND MORE",
	"OOH FAYE DUNAWAY",
	"SMILE WITH MR UKELELE",
	"IDONTMINDBEINGONMYOWN",
	"NEW GUYS IN TOWN",
	"FREAK YOU MELON FARMER",
	"BETWEEN PLANETS",
	"BEEN DRIVIN' FOR DAYS NOW",
	"KASIMIR S PULASKI DAY",
	"TRAVEL'S IN MY BLOOD",
	"FOREST BUTCHER BOY",
	"LOOK AT THAT UGLY MOON",
	"SHOCKER IN GLOOMTOWN",
	"A STAR FOR EVERYONE",
	"EVE OF DESTRUCTION",
	"WISH THEM ALL DEAD"
};

const std::vector<std::string> mRetail2_MissionPhaseNames = {
/* mapm1  */	"HAPPY DAYS ARE HERE AGAIN",
/* mapm2  */	"BOOM BANG A BANG",
/* mapm3  */	"THIS AIN'T PIZMO BEACH",
/* mapm4  */	"TAKE ME I'M YOURS",
/* mapm5  */	"COMPOUND FRACTURE",
/* mapm6  */	"SAY IT WITH ROCKETS",
/* mapm7  */	"TIPPER TOPPER",
/* mapm8  */	"IS IT A BIRD",
/* mapm9  */	"I'M GOING OUT OF MY WAY",
/* mapm10 */	"HANG WITH ME JOE",
/* mapm11 */	"UH OH WE'RE IN TROUBLE",
/* mapm12 */	"A BIT OF BULLY",
/* mapm13 */	"WIZARD PRANKS",
/* mapm14 */	"AN ENGLISHMAN'S HOME",
/* mapm15 */	"ASSAULT AND BATTERING",
/* mapm16 */	"BACK TO THE FUTURE",
/* mapm17 */	"FEERSUM ENDJINN",
/* mapm18 */	"NEVER SAW IT COMING",
/* mapm19 */	"IN THE MIDDLE WITH YOU",
/* mapm20 */	"JUST THIS ONE TO GO",
/* mapm21 */	"TERMINAL BEACH",
/* mapm22 */	"DESERT EAGLES",
/* mapm23 */	"CHOPPA STOPPA",
/* mapm24 */	"A DIP IN THE POOL",
/* mapm25 */	"COLLATERAL DAMAGE",
/* mapm26 */	"YOU CAN RUN",
/* mapm27 */	"DON'T WANNA GET STONED",
/* mapm28 */	"WATUSI RODEO",
/* mapm29 */	"A KNIGHT ON THE TOWN",
/* mapm30 */	"VEGETABLE MEN",
/* mapm31 */	"LOST IN A FOREST",
/* mapm32 */	"SPEEDWAY STAR",
/* mapm33 */	"IDIOT COUNTRY",
/* mapm34 */	"WISH THE LADS WERE HERE",
/* mapm35 */	"SOMEONE GIVE HER A GUN",
/* mapm36 */	"ERUTUF EHT OT KCAB",
/* mapm37 */	"MEAN STREETS",
/* mapm38 */	"THE OLD MAIN DRAG",
/* mapm39 */	"A RAIN'S GONNA COME",
/* mapm40 */	"WILLIAM TELL ME",
/* mapm41 */	"FREEWAY ENTERPRISE",
/* mapm42 */	"AMBUSH CITY LIMITS",
/* mapm43 */	"QUARANTINE",
/* mapm44 */	"UNCHAINED MELODIES",
/* mapm45 */	"GRIDLOCK",
/* mapm46 */	"SIDEWALKING",
/* mapm47 */	"RIGHT ACROSS THE STREET",
/* mapm48 */	"I WISH I COULD FLY",
/* mapm49 */	"LOVER'S LEAP",
/* mapm50 */	"THE ROAD FROM HELL",
/* mapm51 */	"F KLAMMER STRIKES AGAIN",
/* mapm52 */	"ALL THE SAME TO ME",
/* mapm53 */	"TWO'S COMPANY",
/* mapm54 */	"CHARLIE WHISKEY",
/* mapm55 */	"THE WEB IN FRONT",
/* mapm56 */	"THERE'S A RIOT GOIN' ON",
/* mapm57 */	"SHOPPER'S PARADISE",
/* mapm58 */	"CHEDDINGTON",
/* mapm59 */	"KISS KISS MOLLY'S LIPS",
/* mapm60 */	"TAKE IT TO THE BRIDGE",
/* mapm61 */	"NO QUARTERS GIVEN",
/* mapm62 */	"FEEL THE PAIN",
/* mapm63 */	"GARY GILMORE'S EYES",
/* mapm64 */	"CLOSING IN ON DEATH",
/* mapm65 */	"SIX MILLION AND FOUR",
/* mapm66 */	"PLACES NOT TO GO TO",
/* mapm67 */	"FARAWAY BUT TOO CLOSE",
/* mapm68 */	"RETURN TO BLOODY DOVE",
/* mapm69 */	"HOTDOGS WITH EVERYTHING",
/* mapm70 */	"JESUS HAD A TWIN",
/* mapm71 */	"A SEA WITH THREE STARS",
/* mapm72 */	"CATCH 23"
};

const std::vector< std::vector<eMissionGoals> > mRetail2_Map_Goals = {
/* mapm1  */	{ 	eGoal_Kill_All_Enemy 																	},
/* mapm2  */	{   eGoal_Kill_All_Enemy																	},
/* mapm3  */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm4  */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm5  */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm6  */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm7  */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm8  */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings,eGoal_Activate_All_Switches 		},
/* mapm9  */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm10 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm11 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm12 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm13 */	{   eGoal_Kill_All_Enemy																	},		
/* mapm14 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm15 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm16 */	{   eGoal_Kill_All_Enemy,    eGoal_Activate_All_Switches									},		
/* mapm17 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm18 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm19 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm20 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm21 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm22 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm23 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm24 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm25 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings,    eGoal_Protect_Civilians		},
/* mapm26 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm27 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings,    eGoal_Rescue_Hostage			},
/* mapm28 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm29 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings,    eGoal_Protect_Civilians		},
/* mapm30 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm31 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm32 */	{   eGoal_Kill_All_Enemy																	},
/* mapm33 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings,    eGoal_Rescue_Hostage			},
/* mapm34 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm35 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings,    eGoal_Rescue_Hostage			},
/* mapm36 */	{   eGoal_Activate_All_Switches																},
/* mapm37 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm38 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm39 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm40 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm41 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm42 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings,    eGoal_Activate_All_Switches	},
/* mapm43 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings,    eGoal_Protect_Civilians		},
/* mapm44 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings,    eGoal_Rescue_Hostages		},
/* mapm45 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm46 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm47 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm48 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm49 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings,    eGoal_Rescue_Hostage			},
/* mapm50 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm51 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm52 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm53 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings,    eGoal_Rescue_Hostage			},
/* mapm54 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm55 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings,    eGoal_Rescue_Hostages		},
/* mapm56 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm57 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings,    eGoal_Rescue_Hostages		},
/* mapm58 */	{   eGoal_Rescue_Hostages																	},
/* mapm59 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings,    eGoal_Activate_All_Switches	},
/* mapm60 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm61 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm62 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm63 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm64 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings,    eGoal_Rescue_Hostage			},
/* mapm65 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm66 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm67 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm68 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm69 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm70 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings									},
/* mapm71 */	{   eGoal_Kill_All_Enemy,    eGoal_Destroy_Enemy_Buildings,    eGoal_Kidnap_Leader			},
/* mapm72 */	{   eGoal_Kill_All_Enemy																	}
};

// Min/Max Pairs
const std::vector<sAggression> mRetail2_Map_Sprite_Enemy_Aggression = {
/* mapm1  */    { 5,   9 },     
/* mapm2  */    { 5,   9 },     
/* mapm3  */    { 5,   9 },     
/* mapm4  */    { 6,  10 },     
/* mapm5  */    { 5,   9 },     
/* mapm6  */    { 3,   8 },     
/* mapm7  */    { 3,   8 },     
/* mapm8  */    { 4,   8 },     
/* mapm9  */    { 4,  10 },     
/* mapm10 */    { 5,  11 },     
/* mapm11 */    { 8,  11 },     
/* mapm12 */    { 4,   6 },     
/* mapm13 */    { 4,   8 },     
/* mapm14 */    { 7,  11 },     
/* mapm15 */    { 6,   9 },     
/* mapm16 */    { 6,   9 },     
/* mapm17 */    { 10, 18 },     
/* mapm18 */    { 5,   9 },     
/* mapm19 */    { 7,  12 },     
/* mapm20 */    { 6,  10 },     
/* mapm21 */    { 4,   7 },     
/* mapm22 */    { 0,   0 },     
/* mapm23 */    { 6,  12 },     
/* mapm24 */    { 3,   6 },     
/* mapm25 */    { 4,   8 },     
/* mapm26 */    { 5,   7 },     
/* mapm27 */    { 5,  10 },     
/* mapm28 */    { 6,  11 },     
/* mapm29 */    { 6,  10 },     
/* mapm30 */    { 6,  11 },     
/* mapm31 */    { 6,  13 },     
/* mapm32 */    { 5,   7 },     
/* mapm33 */    { 8,  12 },     
/* mapm34 */    { 7,  11 },     
/* mapm35 */    { 6,  10 },     
/* mapm36 */    { 0,   0 },     
/* mapm37 */    { 6,  10 },     
/* mapm38 */    { 6,  10 },     
/* mapm39 */    { 6,  10 },     
/* mapm40 */    { 6,  10 },     
/* mapm41 */    { 6,  10 },     
/* mapm42 */    { 6,  10 },     
/* mapm43 */    { 6,  10 },     
/* mapm44 */    { 6,  10 },     
/* mapm45 */    { 6,  10 },     
/* mapm46 */    { 5,   9 },     
/* mapm47 */    { 6,  10 },     
/* mapm48 */    { 6,  10 },     
/* mapm49 */    { 6,  10 },     
/* mapm50 */    { 6,  10 },     
/* mapm51 */    { 6,  10 },     
/* mapm52 */    { 6,  10 },     
/* mapm53 */    { 6,  10 },     
/* mapm54 */    { 6,  10 },     
/* mapm55 */    { 5,   8 },     
/* mapm56 */    { 8,  12 },     
/* mapm57 */    { 9,  14 },     
/* mapm58 */    { 6,  10 },     
/* mapm59 */    { 6,  10 },     
/* mapm60 */    { 6,  10 },     
/* mapm61 */    { 6,  10 },     
/* mapm62 */    { 15, 20 },     
/* mapm63 */    { 6,  15 },     
/* mapm64 */    { 6,  10 },     
/* mapm65 */    { 10, 15 },     
/* mapm66 */    { 6,  10 },     
/* mapm67 */    { 10, 18 },     
/* mapm68 */    { 10, 15 },     
/* mapm69 */    { 6,  10 },     
/* mapm70 */    { 6,  10 },     
/* mapm71 */    { 6,  10 },     
/* mapm72 */    { 0,   0 }      
};

// Cannon Fodder 2 Retail
const cCampaign mMissionData_Retail2 = {
	mRetail2_MissionNames,
	mRetail2_MissionPhaseNames,
	mRetail2_MissionPhaseTable,
	mRetail2_Map_Goals,
	mRetail2_Map_Sprite_Enemy_Aggression,
	"Cannon Fodder 2"
};
