/*
 *  Open Fodder
 *  ---------------
 *
 *  Copyright (C) 2008-2018 Open Fodder
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "stdafx.hpp"

const struct sRecruit mRecruits[] = {
  //{ "SEGRA ", 2, -1, 4 },
  { "JOOLS ", 2, -1, 4 },
  { "JOPS  ", 2, -1, 6 },
  { "STOO  ", 2, -1, 0 },
  { "RJ    ", 2, -1, 0 },
  { "UBIK  ", 2, -1, 1 },
  { "CJ    ", 2, -1, 0 },
  { "CHRIS ", 2, -1, 0 },
  { "PETE  ", 2, -1, 0 },
  { "TADGER", 3, -1, 3 },
  { "HECTOR", 2, -1, 0 },
  { "ELROY ", 2, -1, 0 },
  { "SOFTY ", 2, -1, 0 },
  { "MAC   ", 2, -1, 0 },
  { "BOMBER", 2, -1, 0 },
  { "STAN  ", 2, -1, 0 },
  { "TOSH  ", 2, -1, 0 },
  { "BRAINS", 2, -1, 1 },
  { "NORM  ", 2, -1, 0 },
  { "BUSTER", 2, -1, 0 },
  { "SPIKE ", 2, -1, 0 },
  { "BROWNY", 2, -1, 0 },
  { "MURPHY", 2, -1, 10 },
  { "KILLER", 2, -1, 0 },
  { "ABDUL ", 2, -1, 0 },
  { "SPOTTY", 2, -1, 0 },
  { "GOOFY ", 2, -1, 0 },
  { "DONALD", 2, -1, 5 },
  { "WINDY ", 2, -1, 0 },
  { "NIFTA ", 2, -1, 0 },
  { "DENZIL", 2, -1, 0 },
  { "CEDRIC", 2, -1, 0 },
  { "ALF   ", 2, -1, 0 },
  { "MARTY ", 2, -1, 0 },
  { "CECIL ", 2, -1, 0 },
  { "WALLY ", 3, -1, 0 },
  { "DONG  ", 2, -1, 0 },
  { "JASON ", 2, -1, 0 },
  { "ROY   ", 2, -1, 0 },
  { "PEEWEE", 2, -1, 0 },
  { "ARNIE ", 2, -1, 3 },
  { "LOFTY ", 2, -1, 0 },
  { "TUBBY ", 2, -1, 0 },
  { "PORKY ", 2, -1, 0 },
  { "NORRIS", 2, -1, 0 },
  { "BUGSY ", 2, -1, 0 },
  { "GREG  ", 2, -1, 0 },
  { "GUS   ", 2, -1, 0 },
  { "GINGER", 2, -1, 0 },
  { "EDDY  ", 2, -1, 0 },
  { "STEVE ", 2, -1, 0 },
  { "HUGO  ", 2, -1, 0 },
  { "ZIPPY ", 2, -1, 0 },
  { "SONNY ", 2, -1, 0 },
  { "WILLY ", 2, -1, 0 },
  { "MARIO ", 2, -1, 0 },
  { "LUIGI ", 2, -1, 0 },
  { "BO    ", 2, -1, 0 },
  { "JOHAN ", 2, -1, 0 },
  { "COLIN ", 2, -1, 0 },
  { "RUBY  ", 2, -1, 0 },
  { "MORGAN", 2, -1, 0 },
  { "REG   ", 2, -1, 0 },
  { "PETER ", 2, -1, 0 },
  { "BRETT ", 2, -1, 0 },
  { "MATT  ", 2, -1, 0 },
  { "VIC   ", 2, -1, 0 },
  { "HUT   ", 2, -1, 0 },
  { "BUD   ", 2, -1, 0 },
  { "BRAD  ", 2, -1, 0 },
  { "ASHLEY", 2, -1, 0 },
  { "LES   ", 2, -1, 0 },
  { "REX   ", 2, -1, 0 },
  { "LOUIS ", 2, -1, 0 },
  { "PEDRO ", 2, -1, 0 },
  { "MARCO ", 2, -1, 0 },
  { "LEON  ", 2, -1, 0 },
  { "ALI   ", 2, -1, 0 },
  { "TYSON ", 2, -1, 0 },
  { "TIGER ", 2, -1, 0 },
  { "FRANK ", 2, -1, 0 },
  { "REUBEN", 2, -1, 0 },
  { "LEYTON", 2, -1, 0 },
  { "JOSH  ", 2, -1, 0 },
  { "JUDAS ", 2, -1, 0 },
  { "AJ    ", 2, -1, 0 },
  { "LEX   ", 2, -1, 0 },
  { "BUTCH ", 2, -1, 0 },
  { "BISON ", 2, -1, 0 },
  { "GARY  ", 2, -1, 0 },
  { "LUTHER", 2, -1, 0 },
  { "KERMIT", 2, -1, 0 },
  { "BRIAN ", 2, -1, 0 },
  { "RAY   ", 2, -1, 0 },
  { "FREAK ", 2, -1, 0 },
  { "LEROY ", 2, -1, 0 },
  { "LEE   ", 2, -1, 0 },
  { "BANJO ", 2, -1, 0 },
  { "BEAKER", 2, -1, 0 },
  { "BASIL ", 2, -1, 0 },
  { "BONZO ", 2, -1, 0 },
  { "KELVIN", 2, -1, 0 },
  { "RONNIE", 2, -1, 0 },
  { "RUPERT", 2, -1, 0 },
  { "ROO   ", 2, -1, 0 },
  { "DAN   ", 2, -1, 0 },
  { "BASHER", 2, -1, 0 },
  { "RONNIE", 2, -1, 0 },
  { "LUCKY ", 2, -1, 0 },
  { "DON   ", 2, -1, 0 },
  { "TOMMY ", 2, -1, 0 },
  { "EDDIE ", 2, -1, 0 },
  { "CYNIC ", 2, -1, 0 },
  { "BLOND ", 2, -1, 0 },
  { "PADDY ", 2, -1, 0 },
  { "ARNOLD", 2, -1, 0 },
  { "TONY  ", 2, -1, 0 },
  { "TEDDY ", 2, -1, 0 },
  { "DOM   ", 2, -1, 0 },
  { "THEO  ", 2, -1, 0 },
  { "MARTIN", 2, -1, 0 },
  { "CHUNKY", 2, -1, 0 },
  { "JON   ", 2, -1, 0 },
  { "BEN   ", 2, -1, 0 },
  { "GIRLY ", 2, -1, 0 },
  { "JULIAN", 2, -1, 0 },
  { "GARY  ", 2, -1, 0 },
  { "PIZZA ", 2, -1, 0 },
  { "MARK  ", 2, -1, 0 },
  { "CIARAN", 2, -1, 0 },
  { "JOCK  ", 2, -1, 0 },
  { "GRAVY ", 2, -1, 0 },
  { "TRENDY", 2, -1, 0 },
  { "NEIL  ", 2, -1, 0 },
  { "DEREK ", 2, -1, 0 },
  { "ED    ", 2, -1, 0 },
  { "STEVE ", 2, -1, 0 },
  { "BIFF  ", 2, -1, 0 },
  { "STEVE ", 2, -1, 0 },
  { "PAUL  ", 2, -1, 0 },
  { "STUART", 2, -1, 0 },
  { "RANDY ", 2, -1, 0 },
  { "LORETA", 2, -1, 0 },
  { "SUZIE ", 2, -1, 0 },
  { "PUMPY ", 2, -1, 0 },
  { "URMER ", 2, -1, 0 },
  { "BUNNY ", 2, -1, 0 },
  { "ADEY  ", 2, -1, 0 },
  { "PEPPER", 2, -1, 0 },
  { "BEEFY ", 2, -1, 0 },
  { "HARRY ", 2, -1, 0 },
  { "TINY  ", 2, -1, 0 },
  { "HOWARD", 2, -1, 0 },
  { "MORRIS", 2, -1, 0 },
  { "THOR  ", 2, -1, 0 },
  { "REV   ", 2, -1, 0 },
  { "DUKE  ", 2, -1, 0 },
  { "SHORTY", 2, -1, 0 },
  { "MICKY ", 2, -1, 0 },
  { "CHAS  ", 2, -1, 0 },
  { "MELONY", 2, -1, 0 },
  { "CRAIG ", 2, -1, 0 },
  { "SIDNEY", 2, -1, 0 },
  { "PARSON", 2, -1, 0 },
  { "ROWAN ", 2, -1, 0 },
  { "SMELLY", 2, -1, 0 },
  { "DOK   ", 2, -1, 0 },
  { "STEW  ", 2, -1, 0 },
  { "DONALD", 2, -1, 0 },
  { "ADRIAN", 2, -1, 0 },
  { "PAT   ", 2, -1, 0 },
  { "ICEMAN", 2, -1, 0 },
  { "GOOSE ", 2, -1, 0 },
  { "DIPPY ", 2, -1, 0 },
  { "VIV   ", 2, -1, 0 },
  { "SI    ", 2, -1, 0 },
  { "BUNTY ", 2, -1, 0 },
  { "NOEL  ", 2, -1, 0 },
  { "BONO  ", 2, -1, 0 },
  { "EDGE  ", 2, -1, 0 },
  { "ROBBIE", 2, -1, 0 },
  { "SEAN  ", 2, -1, 0 },
  { "MILES ", 2, -1, 0 },
  { "JIMI  ", 2, -1, 0 },
  { "GORDON", 2, -1, 0 },
  { "VAL   ", 2, -1, 0 },
  { "HOBO  ", 2, -1, 0 },
  { "FUNGUS", 2, -1, 0 },
  { "JR    ", 2, -1, 0 },
  { "LAMPY ", 2, -1, 0 },
  { "MARCUS", 2, -1, 0 },
  { "PELE  ", 2, -1, 0 },
  { "HUBERT", 2, -1, 0 },
  { "JAMES ", 2, -1, 0 },
  { "TIM   ", 2, -1, 0 },
  { "SAUL  ", 2, -1, 0 },
  { "ANDY  ", 2, -1, 0 },
  { "ALF   ", 2, -1, 0 },
  { "SILKY ", 2, -1, 0 },
  { "SIMON ", 2, -1, 0 },
  { "HANDY ", 2, -1, 0 },
  { "SID   ", 2, -1, 0 },
  { "GEORGE", 2, -1, 0 },
  { "JOFF  ", 2, -1, 0 },
  { "BARRY ", 2, -1, 0 },
  { "DICK  ", 2, -1, 0 },
  { "GIL   ", 2, -1, 0 },
  { "NICK  ", 2, -1, 0 },
  { "TED   ", 2, -1, 0 },
  { "PHIL  ", 2, -1, 0 },
  { "WOODY ", 2, -1, 0 },
  { "WYNN  ", 2, -1, 0 },
  { "ALAN  ", 2, -1, 0 },
  { "PIP   ", 2, -1, 0 },
  { "MICKEY", 2, -1, 0 },
  { "JUSTIN", 2, -1, 0 },
  { "KARL  ", 2, -1, 0 },
  { "MADDOG", 2, -1, 0 },
  { "HORACE", 2, -1, 0 },
  { "HAROLD", 2, -1, 0 },
  { "GAZZA ", 2, -1, 0 },
  { "SPIV  ", 2, -1, 0 },
  { "FOXY  ", 2, -1, 0 },
  { "NED   ", 2, -1, 0 },
  { "BAZIL ", 2, -1, 0 },
  { "OLIVER", 2, -1, 0 },
  { "RETT  ", 2, -1, 0 },
  { "SCOT  ", 2, -1, 0 },
  { "DARREN", 2, -1, 0 },
  { "EDWIN ", 2, -1, 0 },
  { "MOSES ", 2, -1, 0 },
  { "NOAH  ", 2, -1, 0 },
  { "SETH  ", 2, -1, 0 },
  { "HARVEY", 2, -1, 0 },
  { "MARY  ", 2, -1, 0 },
  { "PILOT ", 2, -1, 0 },
  { "MCBETH", 2, -1, 0 },
  { "MCDUFF", 2, -1, 0 },
  { "BELLY ", 2, -1, 0 },
  { "MATHEW", 2, -1, 0 },
  { "MARK  ", 2, -1, 0 },
  { "LUKE  ", 2, -1, 0 },
  { "JOHN  ", 2, -1, 0 },
  { "ASLAM ", 2, -1, 0 },
  { "HAM   ", 2, -1, 0 },
  { "SHEM  ", 2, -1, 0 },
  { "JOSHUA", 2, -1, 0 },
  { "JACOB ", 2, -1, 0 },
  { "ESAW  ", 2, -1, 0 },
  { "OMAR  ", 2, -1, 0 },
  { "SAUL  ", 2, -1, 0 },
  { "ENOCH ", 2, -1, 0 },
  { "OBADIA", 2, -1, 0 },
  { "DANIEL", 2, -1, 0 },
  { "SAMUEL", 2, -1, 0 },
  { "BEN   ", 2, -1, 0 },
  { "ROBBO ", 2, -1, 0 },
  { "JOEBED", 2, -1, 0 },
  { "ISMAEL", 2, -1, 0 },
  { "ISREAL", 2, -1, 0 },
  { "ISABEL", 2, -1, 0 },
  { "ISARAT", 2, -1, 0 },
  { "MONK  ", 2, -1, 0 },
  { "BLIP  ", 2, -1, 0 },
  { "BACON ", 2, -1, 0 },
  { "DANUBE", 2, -1, 0 },
  { "FRIEND", 2, -1, 0 },
  { "DARRYL", 2, -1, 0 },
  { "IZZY  ", 2, -1, 0 },
  { "CROSBY", 2, -1, 0 },
  { "STILLS", 2, -1, 0 },
  { "NASH  ", 2, -1, 0 },
  { "YOUNG ", 2, -1, 0 },
  { "CHEESE", 2, -1, 0 },
  { "SALAMI", 2, -1, 0 },
  { "PRAWN ", 2, -1, 0 },
  { "RADISH", 2, -1, 0 },
  { "EGBERT", 2, -1, 0 },
  { "EDWY  ", 2, -1, 0 },
  { "EDGAR ", 2, -1, 0 },
  { "EDWIN ", 2, -1, 0 },
  { "EDRED ", 2, -1, 0 },
  { "EGGPIE", 2, -1, 0 },
  { "BROS  ", 2, -1, 0 },
  { "CAKEY ", 2, -1, 0 },
  { "ZIGGY ", 2, -1, 0 },
  { "ALFRED", 2, -1, 0 },
  { "SIGGY ", 2, -1, 0 },
  { "HILDA ", 2, -1, 0 },
  { "SNELL ", 2, -1, 0 },
  { "SPARKS", 2, -1, 0 },
  { "ROB   ", 2, -1, 0 },
  { "TOPCAT", 2, -1, 0 },
  { "BENNY ", 2, -1, 0 },
  { "DIBBLE", 2, -1, 0 },
  { "BENKER", 2, -1, 0 },
  { "DOSEY ", 2, -1, 0 },
  { "BEAKY ", 2, -1, 0 },
  { "JOIST ", 2, -1, 0 },
  { "PIVOT ", 2, -1, 0 },
  { "TREE  ", 2, -1, 0 },
  { "BUSH  ", 2, -1, 0 },
  { "GRASS ", 2, -1, 0 },
  { "SEEDY ", 2, -1, 0 },
  { "TIN   ", 2, -1, 0 },
  { "ROLLO ", 2, -1, 0 },
  { "ZIPPO ", 2, -1, 0 },
  { "NANCY ", 2, -1, 0 },
  { "LARRY ", 2, -1, 0 },
  { "IGGY  ", 2, -1, 0 },
  { "NIGEL ", 2, -1, 0 },
  { "JAMIE ", 2, -1, 0 },
  { "JESSE ", 2, -1, 0 },
  { "LEO   ", 2, -1, 0 },
  { "VIRGO ", 2, -1, 0 },
  { "GARTH ", 2, -1, 0 },
  { "FIDEL ", 2, -1, 0 },
  { "IDI   ", 2, -1, 0 },
  { "CHE   ", 2, -1, 0 },
  { "JOHNNY", 2, -1, 0 },
  { "AMBER ", 2, -1, 0 },
  { "LAIRY ", 2, -1, 0 },
  { "LARDO ", 2, -1, 0 },
  { "TONY  ", 2, -1, 0 },
  { "WOODY ", 2, -1, 0 },
  { "CLIFF ", 2, -1, 0 },
  { "FESTER", 2, -1, 0 },
  { "JETHRO", 2, -1, 0 },
  { "JIMBOB", 2, -1, 0 },
  { "DECLAN", 2, -1, 0 },
  { "NEIL  ", 2, -1, 0 },
  { "HICKEY", 2, -1, 0 },
  { "CHOCCO", 2, -1, 0 },
  { "GOCH  ", 2, -1, 0 },
  { "PABLO ", 2, -1, 0 },
  { "RENOIR", 2, -1, 0 },
  { "ROLF  ", 2, -1, 0 },
  { "DALI  ", 2, -1, 0 },
  { "MONET ", 2, -1, 0 },
  { "MANET ", 2, -1, 0 },
  { "GAUGIN", 2, -1, 0 },
  { "CHAGAL", 2, -1, 0 },
  { "KID   ", 2, -1, 0 },
  { "HULLY ", 2, -1, 0 },
  { "ROBERT", 2, -1, 0 },
  { "PIERS ", 2, -1, 0 },
  { "RAITH ", 2, -1, 0 },
  { "JEEVES", 2, -1, 0 },
  { "PASTER", 2, -1, 0 },
  { "GINAN ", 2, -1, 0 },
  { "DEITER", 2, -1, 0 },
  { "DENI  ", 2, -1, 0 },
  { "ZARK  ", 2, -1, 0 },
  { "WIZKID", 2, -1, 0 },
  { "WIZARD", 2, -1, 0 },
  { "IAIN  ", 2, -1, 0 },
  { "KITTEN", 2, -1, 0 },
  { "GONNER", 2, -1, 0 },
  { "WASTER", 2, -1, 0 },
  { "LOSER ", 2, -1, 0 },
  { "FODDER", 2, -1, 0 }
};

int16 word_35DFE[] = {
	0x21, 0x32, 0x42, 0x55, 0x64, -1,
};

int16 word_35E0A[] = {
	0x21, 0x32, 0x42, 0x55, 0x64, -1
};

int16 word_35E16[] = {
	0x21, 0x30, 0x42, 0x55, 0x64, -1,
};

int16 word_35E22[] = {
	0x21, 0x28, 0x42, 0x55, 0x64, -1,
};

int16 word_35E2E[] = {
	0x21, 0x3C, 0x42, 0x55, 0x64, -1
};

// Hill Recruit Dest: Part 1 / 2 / 3
int16 word_35E3A[] = {
	0x32, 0x52, 0x64, -1
};

const sRecruit_Sprites mRecruitSprite[34] =
{
	{ 0, 0, 48, 40, word_35DFE },
	{ 0, 1, 48, 56, word_35E0A },
	{ 0, 2, 48, 72, word_35E16 },
	{ 0, 3, 48, 88, word_35E22 },
	{ 0, 4, 48, 104, word_35E2E },

	{ 0, 5, 48, 120, word_35E0A },
	{ 0, 6, 48, 136, word_35E0A },
	{ 0, 7, 48, 152, word_35E0A },
	{ 0, 8, 48, 168, word_35E0A },

	{ 1, 0, 144, 40, word_35E3A },
	{ 1, 1, 192, 40, word_35E3A },
	{ 2, 0, 240, 40, word_35E3A },
	{ 2, 1, 144, 56, word_35E3A },
	{ 3, 0, 192, 56, word_35E3A },
	{ 3, 1, 240, 56, word_35E3A },
	{ 4, 0, 144, 72, word_35E3A },
	{ 4, 1, 192, 72, word_35E3A },
	{ 5, 0, 240, 72, word_35E3A },
	{ 5, 1, 144, 88, word_35E3A },
	{ 6, 0, 192, 88, word_35E3A },
	{ 6, 1, 240, 88, word_35E3A },
	{ 7, 0, 144, 104, word_35E3A },
	{ 7, 1, 192, 104, word_35E3A },
	{ 8, 0, 240, 104, word_35E3A },
	{ 8, 1, 144, 120, word_35E3A },
	{ 9, 0, 192, 120, word_35E3A },
	{ 9, 1, 240, 120, word_35E3A },
	{ 10, 0, 144, 136, word_35E3A },
	{ 10, 1, 192, 136, word_35E3A },
	{ 11, 0, 240, 136, word_35E3A },
	{ 11, 1, 144, 152, word_35E3A },
	{ 12, 0, 192, 152, word_35E3A },
	{ 12, 1, 240, 152, word_35E3A },
	{ -1 }
};

sRecruit_Screen_Pos mRecruit_Screen_Positions[294] = {
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 60, 0 },
	{ 305, 58, 0 },
	{ 305, 56, 0 },
	{ 305, 55, 0 },
	{ 304, 54, 0 },
	{ 303, 59, 1 },
	{ 305, 53, 0 },
	{ 304, 53, 0 },
	{ 303, 54, 0 },
	{ 302, 55, 0 },
	{ 301, 56, 0 },
	{ 301, 57, 0 },
	{ 300, 58, 0 },
	{ 300, 59, 0 },
	{ 299, 60, 0 },
	{ 299, 61, 0 },
	{ 298, 62, 0 },
	{ 298, 63, 0 },
	{ 297, 64, 0 },
	{ 297, 65, 0 },
	{ 296, 66, 0 },
	{ 296, 67, 0 },
	{ 296, 68, 0 },
	{ 295, 69, 0 },
	{ 295, 70, 0 },
	{ 295, 71, 0 },
	{ 294, 72, 0 },
	{ 294, 73, 0 },
	{ 294, 74, 0 },
	{ 294, 75, 0 },
	{ 293, 76, 0 },
	{ 293, 79, 0 },
	{ 292, 82, 0 },
	{ 292, 84, 0 },
	{ 291, 84, 0 },
	{ 292, 84, 0 },
	{ 292, 84, 0 },
	{ 292, 84, 0 },
	{ 292, 84, 0 },
	{ 292, 84, 0 },
	{ 292, 84, 0 },
	{ 292, 84, 0 },
	{ 292, 84, 0 },
	{ 288, 84, 0 },
	{ 287, 82, 0 },
	{ 286, 81, 0 },
	{ 285, 79, 0 },
	{ 285, 77, 0 },
	{ 276, 84, 2 },
	{ 284, 77, 0 },
	{ 283, 78, 0 },
	{ 283, 79, 0 },
	{ 282, 81, 0 },
	{ 281, 82, 0 },
	{ 281, 84, 0 },
	{ 281, 86, 0 },
	{ 281, 87, 0 },
	{ 281, 89, 0 },
	{ 282, 90, 0 },
	{ 282, 92, 0 },
	{ 282, 94, 0 },
	{ 283, 95, 0 },
	{ 283, 97, 0 },
	{ 284, 99, 0 },
	{ 284, 101, 0 },
	{ 285, 103, 0 },
	{ 286, 106, 0 },
	{ 287, 109, 0 },
	{ 287, 112, 0 },
	{ 289, 116, 0 },
	{ 290, 118, 0 },
	{ 292, 121, 0 },
	{ 293, 122, 0 },
	{ 293, 124, 0 },
	{ 294, 126, 0 },
	{ 295, 128, 0 },
	{ 295, 129, 0 },
	{ 295, 133, 0 },
	{ 295, 133, 0 },
	{ 295, 133, 0 },
	{ 295, 133, 0 },
	{ 295, 133, 0 },
	{ 295, 133, 0 },
	{ 295, 133, 0 },
	{ 295, 133, 0 },
	{ 295, 133, 0 },
	{ 295, 133, 0 },
	{ 295, 133, 0 },
	{ 295, 133, 0 },
	{ 308, 134, 0 },
	{ 308, 134, 0 },
	{ 308, 132, 0 },
	{ 307, 130, 0 },
	{ 307, 128, 0 },
	{ 307, 126, 0 },
	{ 307, 125, 0 },
	{ 306, 124, 0 },
	{ 288, 121, 3 },
	{ 306, 124, 0 },
	{ 306, 125, 0 },
	{ 305, 126, 0 },
	{ 305, 127, 0 },
	{ 305, 129, 0 },
	{ 304, 130, 0 },
	{ 304, 133, 0 },
	{ 304, 135, 0 },
	{ 304, 137, 0 },
	{ 303, 138, 0 },
	{ 303, 139, 0 },
	{ 304, 141, 0 },
	{ 304, 143, 0 },
	{ 303, 145, 0 },
	{ 303, 147, 0 },
	{ 303, 149, 0 },
	{ 303, 150, 0 },
	{ 303, 152, 0 },
	{ 302, 154, 0 },
	{ 301, 156, 0 },
	{ 301, 158, 0 },
	{ 300, 161, 0 },
	{ 299, 162, 0 },
	{ 298, 163, 0 },
	{ 297, 165, 0 },
	{ 295, 167, 0 },
	{ 294, 168, 0 },
	{ 293, 169, 0 },
	{ 292, 170, 0 },
	{ 291, 172, 0 },
	{ 290, 173, 0 },
	{ 289, 174, 0 },
	{ 288, 175, 0 },
	{ 287, 176, 0 },
	{ 285, 178, 0 },
	{ 283, 179, 0 },
	{ 281, 180, 0 },
	{ 280, 182, 0 },
	{ 278, 183, 0 },
	{ 277, 185, 0 },
	{ 275, 186, 0 },
	{ 273, 186, 0 },
	{ 272, 187, 0 },
	{ 271, 188, 0 },
	{ 269, 189, 0 },
	{ 267, 189, 0 },
	{ 265, 189, 0 },
	{ 263, 190, 0 },
	{ 262, 190, 0 },
	{ 260, 190, 0 },
	{ 258, 190, 0 },
	{ 256, 190, 0 },
	{ 254, 190, 0 },
	{ 252, 190, 0 },
	{ 250, 190, 0 },
	{ 249, 190, 0 },
	{ 247, 190, 0 },
	{ 246, 191, 0 },
	{ 244, 191, 0 },
	{ 242, 191, 0 },
	{ 240, 191, 0 },
	{ 238, 191, 0 },
	{ 236, 191, 0 },
	{ 234, 191, 0 },
	{ 232, 191, 0 },
	{ 230, 191, 0 },
	{ 227, 191, 0 },
	{ 225, 191, 0 },
	{ 223, 191, 0 },
	{ 221, 191, 0 },
	{ 219, 191, 0 },
	{ 217, 191, 0 },
	{ 215, 191, 0 },
	{ 213, 191, 0 },
	{ 211, 191, 0 },
	{ 209, 191, 0 },
	{ 207, 191, 0 },
	{ 205, 191, 0 },
	{ 203, 191, 0 },
	{ 201, 191, 0 },
	{ 199, 191, 0 },
	{ 197, 191, 0 },
	{ 195, 191, 0 },
	{ 193, 191, 0 },
	{ 191, 191, 0 },
	{ 189, 191, 0 },
	{ 187, 191, 0 },
	{ 185, 191, 0 },
	{ 183, 191, 0 },
	{ 181, 191, 0 },
	{ 179, 191, 0 },
	{ 177, 192, 0 },
	{ 175, 192, 0 },
	{ 173, 192, 0 },
	{ 171, 192, 0 },
	{ 169, 192, 0 },
	{ 167, 192, 0 },
	{ 165, 192, 0 },
	{ 163, 193, 0 },
	{ 161, 192, 0 },
	{ 159, 192, 0 },
	{ 157, 192, 0 },
	{ 155, 192, 0 },
	{ 153, 192, 0 },
	{ 151, 192, 0 },
	{ 149, 192, 0 },
	{ 147, 192, 0 },
	{ 145, 192, 0 },
	{ 143, 192, 0 },
	{ 141, 192, 0 },
	{ 139, 192, 0 },
	{ 137, 192, 0 },
	{ 135, 192, 0 },
	{ 133, 192, 0 },
	{ 131, 192, 0 },
	{ 131, 192, 0 },
	{ 129, 192, 0 },
	{ 127, 192, 0 },
	{ 125, 192, 0 },
	{ 123, 192, 0 },
	{ 121, 192, 0 },
	{ 119, 192, 0 },
	{ 117, 192, 0 },
	{ 115, 192, 0 },
	{ 113, 192, 0 },
	{ 111, 192, 0 },
	{ 109, 192, 0 },
	{ 107, 192, 0 },
	{ 105, 192, 0 },
	{ 103, 193, 0 },
	{ 101, 192, 0 },
	{ 99, 192, 0 },
	{ 96, 192, 0 },
	{ 94, 192, 0 },
	{ 92, 192, 0 },
	{ 90, 192, 0 },
	{ 88, 192, 0 },
	{ 86, 192, 0 },
	{ 84, 192, 0 },
	{ 82, 192, 0 },
	{ 80, 192, 0 },
	{ 78, 192, 0 },
	{ 76, 192, 0 },
	{ 74, 192, 0 },
	{ 72, 192, 0 },
	{ 70, 192, 0 },
	{ 68, 192, 0 },
	{ 66, 192, 0 },
	{ 64, 192, 0 },
	{ 62, 192, 0 },
	{ 60, 192, 0 },
	{ 58, 192, 0 },
	{ 56, 192, 0 },
	{ 54, 192, 0 },
	{ 52, 192, 0 },
	{ 50, 192, 0 },
	{ 48, 192, 0 },
	{ 46, 192, 0 },
	{ 44, 192, 0 },
	{ 42, 192, 0 },
	{ 40, 192, 0 },
	{ 38, 192, 0 },
	{ 36, 191, 0 },
	{ -1, -1, 0 }
};

const int16 mRecruit_Truck_Anim_Welcome[] =
{
	0x00, 0x01, 0x02, 0x03, 0x04,
	0x05, 0x06, 0x09, 0x0A, 0x0B,
	0x09,
	// mRecruit_Truck_Anim_SwingArm
	0x09, 0x0A, 0x0B, 0x09, -1,
};

const int16 mRecruit_Truck_Anim_SwingArm[] = {
	0x09, 0x0A, 0x0B, 0x09, -1 };

const int16 mRecruit_Truck_Anim_PassTroop[] = {
	0x07, 0x07, 0x09, 0x09, 0x08, 0x08, 0x07, 0x07,
	0x07, 0x07, 0x09, 0x09, 0x08, 0x08, 0x07, 0x07, 
	0x09, 0x09, 0x09, -1
};

const int16 mRecruit_Truck_Anim_CloseDoor[] = {
	0x06, 0x05, 0x05, 0x04, 0x04, 0x03, 0x03, 0x02, 
	0x02, 0x01, 0x01, 0x00, -1
};

// Gap between recruits marching on the hill
const int16 mRecruit_Hill_Position_Gaps[] = {
	4, 6, 4, 5, 
	4, 7, 4, 5, 
	4, 4, 7, 5, 
	6, 5, 4, 5
};

const int16 mRecruit_Shirt_Colors[16] =
{
	4,  10, 4,  16,  22,
	10,  4, 22, 16,  10,
	22,  4, 16, 10,  22,
	10
};

const int16 mGravePositions[] = {
	0x00A3, 0x0018, 0x010B, 0x0025, 0x0050,
	0x0023, 0x00F8, 0x0040, 0x003C, 0x002D,
	0x009D, 0x001B, 0x00A7, 0x001D, 0x0054,
	0x0026, 0x00A1, 0x001F, 0x004C, 0x0026,
	0x0037, 0x0031, 0x0040, 0x0031, 0x0099,
	0x001F, 0x00F5, 0x0043, 0x00FC, 0x0045,
	0x0091, 0x001E, 0x0095, 0x0024, 0x00AE,
	0x001D, 0x009E, 0x0022, 0x00A6, 0x0022,
	0x00AC, 0x0023, 0x008C, 0x0022, 0x0085,
	0x0025, 0x0090, 0x0026, 0x00B3, 0x0021,
	0x00BB, 0x0023, 0x009B, 0x0028, 0x00A3,
	0x0026, 0x00AB, 0x0029, 0x00B2, 0x0027,
	0x00B9, 0x0029, 0x008A, 0x0028, 0x0080,
	0x0028, 0x0085, 0x002B, 0x008F, 0x002D,
	0x0095, 0x002A, 0x00A1, 0x002B, 0x00B1,
	0x002D, 0x00A7, 0x002D, 0x0099, 0x002E,
	0x009E, 0x0030, 0x00C0, 0x0027, 0x00BF,
	0x002B, 0x00C7, 0x002A, 0x00B8, 0x002F,
	0x00AC, 0x0030, 0x0050, 0x0029, 0x0058,
	0x0029, 0x0055, 0x002D, 0x0131, 0x00BD,
	0x007A, 0x002A, 0x0080, 0x002F, 0x0088,
	0x002F, 0x00C4, 0x0030, 0x00CD, 0x0031,
	0x0095, 0x0032, 0x008D, 0x0033, 0x0074,
	0x002E, 0x0079, 0x0032, 0x0086, 0x0034,
	0x00A5, 0x0032, 0x00B4, 0x0035, 0x00BD,
	0x0032, 0x00C9, 0x0037, 0x00D4, 0x0036,
	0x009F, 0x0037, 0x0092, 0x0038, 0x007F,
	0x0036, 0x0073, 0x0034, 0x006D, 0x0036,
	0x004B, 0x002B, 0x005C, 0x002C, 0x0063,
	0x002B, 0x0060, 0x0030, 0x0034, 0x0034,
	0x003D, 0x0038, 0x0044, 0x0036, 0x0049,
	0x0033, 0x004C, 0x0038, 0x0045, 0x003B,
	0x0038, 0x003B, 0x0030, 0x0038, 0x0033,
	0x003F, 0x002E, 0x0043, 0x0034, 0x0045,
	0x0039, 0x0041, 0x0040, 0x003F, 0x0053,
	0x0038, 0x004C, 0x003D, 0x0047, 0x0041,
	0x003F, 0x0045, 0x0039, 0x0049, 0x0033,
	0x004C, 0x002D, 0x0048, 0x002E, 0x0050,
	0x0031, 0x0055, 0x0037, 0x0050, 0x003F,
	0x004A, 0x0045, 0x0046, 0x00AD, 0x00B5,
	0x0107, 0x0029, 0x010F, 0x0029, 0x010C,
	0x002C, 0x0101, 0x0027, 0x0115, 0x0028,
	0x0114, 0x002B, 0x0111, 0x0030, 0x0109,
	0x0030, 0x0103, 0x002C, 0x00FB, 0x002B,
	0x00FF, 0x002F, 0x00F5, 0x002C, 0x0119,
	0x002C, 0x011E, 0x002F, 0x0119, 0x0032,
	0x0115, 0x0036, 0x0121, 0x0035, 0x010D,
	0x0036, 0x0104, 0x0034, 0x00FA, 0x0031,
	0x008A, 0x0039, 0x0099, 0x0039, 0x0096,
	0x003E, 0x00A7, 0x0037, 0x00A3, 0x003D,
	0x009E, 0x003F, 0x00AD, 0x0035, 0x00AC,
	0x003A, 0x00B3, 0x003C, 0x00AA, 0x0040,
	0x00B1, 0x0041, 0x00B9, 0x0035, 0x00C2,
	0x0035, 0x00BE, 0x0039, 0x00BA, 0x003E,
	0x00C3, 0x003D, 0x00CF, 0x003D, 0x00CA,
	0x0040, 0x00D8, 0x003C, 0x008E, 0x003F,
	0x0084, 0x003C, 0x0079, 0x003A, 0x0067,
	0x0037, 0x0072, 0x003B, 0x007F, 0x003E,
	0x009B, 0x0043, 0x0089, 0x0041, 0x0094,
	0x0044, 0x00A4, 0x0042, 0x00B7, 0x0043,
	0x00C1, 0x0043, 0x00D4, 0x0042, 0x00DB,
	0x0044, 0x00F9, 0x0048, 0x0101, 0x0047,
	0x00F3, 0x0047, 0x00FF, 0x004C, 0x00F3,
	0x0030, 0x00EE, 0x0032, 0x00FE, 0x0035,
	0x011C, 0x0038, 0x0111, 0x003B, 0x0108,
	0x003B, 0x00F6, 0x0036, 0x00E9, 0x0033,
	0x00F0, 0x0037, 0x00E5, 0x0037, 0x00EB,
	0x003B, 0x00F0, 0x003C, 0x00FB, 0x0039,
	0x0103, 0x003B, 0x010D, 0x003F, 0x0118,
	0x003E, 0x0120, 0x003B, 0x0112, 0x0042,
	0x0118, 0x0044, 0x0105, 0x004C, 0x00FB,
	0x004F, 0x0103, 0x0052, 0x00ED, 0x0043,
	0x00DF, 0x0040, 0x006C, 0x003C, 0x0076,
	0x0040, 0x007F, 0x0044, 0x0086, 0x0045,
	0x008E, 0x0047, 0x0099, 0x004A, 0x00A1,
	0x0047, 0x00A8, 0x004B, 0x00B0, 0x0048,
	0x00BA, 0x004B, 0x00C4, 0x004A, 0x00CC,
	0x0047, 0x00D4, 0x0048, 0x00E1, 0x004A,
	0x00DA, 0x004D, 0x00CF, 0x004E, 0x00C3,
	0x0050, 0x0135, 0x00B1, 0x0135, 0x004B,
	0x0132, 0x004F, 0x0135, 0x0057, 0x0130,
	0x005A, 0x0135, 0x0063, 0x012F, 0x0064,
	0x0135, 0x006D, 0x0109, 0x0052, 0x0061,
	0x003C, 0x0067, 0x0040, 0x0071, 0x0045,
	0x007A, 0x0049, 0x00B2, 0x0050, 0x0093,
	0x004E, 0x00A3, 0x0052, 0x00BB, 0x0055,
	0x00CC, 0x0056, 0x00D6, 0x0054, 0x00E2,
	0x0052, 0x00E9, 0x004C, 0x0086, 0x004F,
	0x0099, 0x0056, 0x006A, 0x0048, 0x005E,
	0x0047, 0x0072, 0x0050, 0x007E, 0x0052,
	0x008C, 0x0056, 0x00A1, 0x0059, 0x00AE,
	0x0058, 0x00B7, 0x005D, 0x00C4, 0x005D,
	0x00D3, 0x005D, 0x00DD, 0x005B, 0x00EB,
	0x0056, 0x00E7, 0x005F, 0x00F4, 0x0057,
	0x00F1, 0x0063, 0x00DE, 0x0067, 0x00D1,
	0x0068, 0x00C9, 0x0063, 0x00BB, 0x0067,
	0x00AA, 0x0063, 0x0099, 0x0062, 0x008E,
	0x0061, 0x0083, 0x005C, 0x0077, 0x005D,
	0x006B, 0x0056, 0x0061, 0x0050, 0x0056,
	0x004F, 0x00A2, 0x0069, 0x0054, 0x0044,
	0x004A, 0x0050, 0x0052, 0x0056, 0x005E,
	0x005C, 0x007E, 0x0066, 0x0091, 0x0069,
	0x009B, 0x006F, 0x00AE, 0x006E, 0x00BB,
	0x0071, 0x00C5, 0x006C, 0x00CE, 0x0073,
	0x00DA, 0x0070, 0x00E8, 0x006C, 0x0089,
	0x006D, 0x006C, 0x0064, 0x0075, 0x006E,
	0x00FB, 0x0063, 0x00F4, 0x006F, 0x00E4,
	0x0076, 0x0057, 0x0062, 0x0049, 0x005C,
	0x0062, 0x006B, 0x007F, 0x0077, 0x008D,
	0x0075, 0x009A, 0x0078, 0x00A6, 0x0072,
	0x00B4, 0x007A, 0x00BF, 0x007E, 0x00A4,
	0x007E, 0x00D5, 0x007A, 0x00EE, 0x0074,
	0x0104, 0x0064, 0x006B, 0x006F, 0x0058,
	0x006B, 0x004D, 0x0064, 0x003F, 0x005D,
	0x0050, 0x0070, 0x0043, 0x0066, 0x0037,
	0x0064, 0x0030, 0x006C, 0x003C, 0x0072,
	0x0046, 0x0073, 0x0059, 0x0076, 0x0065,
	0x0077, 0x008A, 0x0082, 0x0072, 0x007A,
	0x0095, 0x0083, 0x00B0, 0x0086, 0x00CB,
	0x007D, 0x00E1, 0x0082, 0x0100, 0x006E,
	0x00C6, 0x0089, 0x00BB, 0x008D, 0x00A2,
	0x008D, 0x007E, 0x0087, 0x006B, 0x0085,
	0x004B, 0x0080, 0x0034, 0x007F, 0x005C,
	0x008A, 0x0040, 0x008A, 0x0071, 0x0092,
	0x008C, 0x0094, 0x009C, 0x009B, 0x00B0,
	0x0096, 0x00C6, 0x009A, 0x00D6, 0x008C,
	0x00F6, 0x0081, 0x0101, 0x007B, 0x00EE,
	0x008A, 0x00E5, 0x0094, 0x00D8, 0x009B,
	0x00FC, 0x008F, 0x0109, 0x0084, 0x0101,
	0x0085, 0x0107, 0x0095, 0x00F6, 0x0099,
	0x00ED, 0x00A2, 0x00E0, 0x00A9, 0x00D0,
	0x00AA, 0x00C1, 0x00AD, 0x00AF, 0x00A5,
	0x009D, 0x00AB, 0x0088, 0x009B, 0x007B,
	0x00A1, 0x0068, 0x009A, 0x0055, 0x0097,
	0x0044, 0x009C, 0x0037, 0x0095, 0x0035,
	0x00A3, 0x0048, 0x00A5, 0x005A, 0x00A6,
	0x0084, 0x00B0, 0x006E, 0x00AA, 0x0091,
	0x00AA, 0x00BC, 0x009F, 0x00F5, 0x00AB,
	0x0104, 0x00A4, 0x00CD, 0x0091, 0x0093,
	0x008B, 0x0079, 0x008D, 0x005F, 0x007F,
	0x0050, 0x0088, 0x0060, 0x00AF, 0x0043,
	0x00AF, 0x0051, 0x00AC, 0x00CB, 0x00B2,
	0x00E9, 0x00AF, 0x0108, 0x0075, 0x0130,
	0x006A, 0x0095, 0x00B6, 0x0115, 0x008A,
	0x0000,
};
